import * as express from 'express';
import * as data from './data';
import * as security from './security';
import * as observability from './observability';
export interface CreateServerConfigurations extends CreateServerEnablers {
    cookies?: data.cookies.DataCookiesOptions;
    cors?: security.cors.SecurityCorsOptions;
    csp?: security.csp.SecurityCspOptions;
    jsonBody?: data.json.DataJsonOptions;
    metrics?: observability.metrics.ObservabilityMetricsOptions;
    urlEncodedBody?: data.urlEncoded.DataUrlEncodedOptions;
}
export interface CreateServerEnablers {
    enableCookies?: boolean;
    enableCors?: boolean;
    enableCsp?: boolean;
    enableJsonBody?: boolean;
    enableMetrics?: boolean;
    enableUrlEncodedBody?: boolean;
}
export interface CreateServerHooks {
    after?: express.RequestHandler[];
    before?: express.RequestHandler[];
}
export interface CreateServerOptions extends CreateServerConfigurations {
    logger?: object;
    middlewares?: CreateServerHooks;
}
export declare function createServer({ enableCors, enableCsp, enableCookies, enableJsonBody, enableMetrics, enableUrlEncodedBody, cookies, cors, csp, jsonBody, metrics, middlewares, logger, urlEncodedBody, }?: CreateServerOptions): express.Application;
