"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var express = require("express");
var supertest = require("supertest");
var metrics = require("./metrics");
describe('@usvc/server/observability/metrics', function () {
    var metricsInstance;
    var server;
    var observedMetrics;
    before(function () {
        metricsInstance = metrics.create();
        server = express();
        server.use(metricsInstance.getExpressMiddleware());
        server.get('/', function (_req, res) {
            res.json('ok');
        });
        metricsInstance.provisionMetrics(server);
        return supertest(server)
            .get('/')
            .then(function () {
            return supertest(server)
                .get('/metrics');
        })
            .then(function (_a) {
            var text = _a.text;
            observedMetrics = text;
        });
    });
    it('works well', function () {
        chai_1.expect(observedMetrics).to.contain('up 1');
        chai_1.expect(observedMetrics).to.contain('status_code="200",method="GET",path="/"');
        chai_1.expect(observedMetrics).to.contain(
        // tslint:disable-next-line max-line-length
        'http_request_duration_seconds_sum{status_code="200",method="GET",path="/"}');
        chai_1.expect(observedMetrics).to.contain(
        // tslint:disable-next-line max-line-length
        'http_request_duration_seconds_count{status_code="200",method="GET",path="/"}');
    });
});
//# sourceMappingURL=metrics.test.js.map