"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cors = require("cors");
var ONE_DAY_IN_MILLISECONDS = 1000 * 60 * 60 * 24;
var DEFAULT_METHODS = [
    'GET',
    'POST',
    'PUT',
    'PATCH',
    'DELETE',
    'OPTIONS',
    'HEAD',
];
var DEFAULT_MAX_AGE = ONE_DAY_IN_MILLISECONDS;
function createMiddleware(_a) {
    var _b = _a === void 0 ? {} : _a, allowedHeaders = _b.allowedHeaders, _c = _b.credentials, credentials = _c === void 0 ? true : _c, exposedHeaders = _b.exposedHeaders, _d = _b.maxAge, maxAge = _d === void 0 ? DEFAULT_MAX_AGE : _d, _e = _b.methods, methods = _e === void 0 ? DEFAULT_METHODS : _e, _f = _b.optionsSuccessStatus, optionsSuccessStatus = _f === void 0 ? 204 : _f, _g = _b.preflightContinue, preflightContinue = _g === void 0 ? true : _g, _h = _b.urls, urls = _h === void 0 ? [] : _h;
    return cors({
        allowedHeaders: allowedHeaders,
        credentials: credentials,
        exposedHeaders: exposedHeaders,
        maxAge: maxAge,
        methods: methods,
        optionsSuccessStatus: optionsSuccessStatus,
        origin: function (origin, cb) {
            if (!origin || urls.indexOf(origin) !== -1) {
                cb(null, true);
            }
            else {
                var error = new Error("Invalid origin: \"" + origin + "\"");
                error['status'] = 401;
                cb(error, false);
            }
        },
        preflightContinue: preflightContinue,
    });
}
exports.createMiddleware = createMiddleware;
//# sourceMappingURL=cors.js.map